Bug 113440 - [WinCE] Add workaround for UNUSED_PARAM()
Summary: [WinCE] Add workaround for UNUSED_PARAM()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Patrick R. Gansterer
URL:
Keywords:
Depends on:
Blocks: 115350
  Show dependency treegraph
 
Reported: 2013-03-27 13:59 PDT by Patrick R. Gansterer
Modified: 2013-04-29 06:20 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.13 KB, patch)
2013-03-27 14:03 PDT, Patrick R. Gansterer
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick R. Gansterer 2013-03-27 13:59:24 PDT
[WinCE] Add workaround for UNUSED_PARAM()
Comment 1 Patrick R. Gansterer 2013-03-27 14:03:54 PDT
Created attachment 195390 [details]
Patch
Comment 2 Benjamin Poulain 2013-04-07 14:31:07 PDT
Comment on attachment 195390 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=195390&action=review

> Source/WTF/wtf/UnusedParam.h:31
> +#define UNUSED_PARAM(variable) (void)&variable

Can you please check if
    (void*)&variable 
works?
It would make more sense.
Comment 3 Patrick R. Gansterer 2013-04-07 14:39:46 PDT
Comment on attachment 195390 [details]
Patch

notbenjamin: paroga: ignore my comment on the patch.
Comment 4 WebKit Commit Bot 2013-04-07 15:08:12 PDT
Comment on attachment 195390 [details]
Patch

Clearing flags on attachment: 195390

Committed r147882: <http://trac.webkit.org/changeset/147882>
Comment 5 WebKit Commit Bot 2013-04-07 15:08:15 PDT
All reviewed patches have been landed.  Closing bug.